# Deep Weight Factorization: Sparse Learning Through the Lens of Artificial Symmetries: Code Submission

The code contains two folders, 
- one for the proposed method (`DWF`) and 
- one for competitor methods that were run (`comparisons`).

Each folder contains 
- its own requirements due to different dependencies,
- notebooks to run the different experiments.

## Folders

- DWF: Contains `ipynb` notebooks for all experiments and code for
    + callbacks: special callbacks to track also sparsity, misalignment, etc.
    + initializers: the proposed initializers
    + layers: fully-connected and conv. layers with deep weight factorization
    + models: weight factorized models used in the experiments
    + utils: helper functions
- comparison: relevant files cloned from the effective sparsity repository (https://github.com/avysogorets/effective-sparsity)
